Name:           freedv
Version:        1.1
Release:        %mkrel 4
Summary:        Digital Voice for Amateur Radio
Group:          Communications/Radio
License:        GPLv2+
URL:            http://freedv.org
# http://files.freedv.org/freedv
# https://groups.google.com/forum/#!forum/digitalvoice
Source0:        http://files.%{name}.org/%{name}/%{name}-%{version}.tar.xz
Source1:        %{name}48x48.png
Source2:        %{name}64x64.png
Source3:        %{name}128x128.png
Source4:        %{name}256x256.png

BuildRequires:  cmake
BuildRequires:  pkgconfig(codec2)
BuildRequires:  pkgconfig(hamlib)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(sox)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  wxgtk-devel >= 3.0
BuildRequires:  desktop-file-utils

%description
FreeDV is a GUI application that allows any SSB radio to
be used for low bit rate digital voice.

Speech is compressed down to 1400 bit/s then modulated onto a 1100 Hz wide QPSK
signal which is sent to the Mic input of a SSB radio. On receive, the signal is
received by the SSB radio, then demodulated and decoded by FreeDV.

FreeDV was built by an international team of Radio Amateurs working together on
coding, design, user interface and testing. FreeDV is open source software,
released under the GNU Public License version 2.1. The FDMDV modem and Codec 2
Speech codec used in FreeDV are also open source.

%prep
%setup -q

%build
%cmake \
  -DUSE_STATIC_CODEC2=FALSE \
  -DUSE_STATIC_SPEEXDSP=FALSE

%make_build

%install
%make_install -C build

# Tweak upstream desktop file
desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
    --remove-category='GTK' \
    --remove-category='GNOME' \
    --add-category='X-Mageia-CrossDesktop' \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
    
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc credits.txt README.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Thu Jun 02 2016 daviddavid <daviddavid> 1.1-4.mga6
+ Revision: 1019811
- rebuild for wxgtk3.0 built with GTK2

* Sun Feb 14 2016 umeabot <umeabot> 1.1-2.mga6
+ Revision: 960114
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 barjac <barjac> 1.1-1.mga6
+ Revision: 897724
- new version 1.1

* Mon Sep 14 2015 daviddavid <daviddavid> 1.0-2.mga6
+ Revision: 879280
- rebuild for new sox 14.4.2

* Mon Aug 24 2015 barjac <barjac> 1.0-1.mga6
+ Revision: 869173
- new version 1.0
- new BR speexdsp
- added cmake options to use system speex and codec2
- fix doc files list

* Fri Aug 14 2015 ycantin <ycantin> 0.97.0-3.mga6
+ Revision: 864693
- rebuild for new wxgtk built with wxRE_ADVANCED

* Thu Jul 23 2015 akien <akien> 0.97.0-2.mga6
+ Revision: 856365
- Rebuild for wxgtk with gtk3

* Sat Feb 07 2015 barjac <barjac> 0.97.0-1.mga5
+ Revision: 814001
- Adapt for Mageia
- Import freedv with thanks to Fedora


* Tue Jun 17 2014 Richard Shaw <hobbes1069@gmail.com> - 0.97.0-1
- Update to latest upstream release.

* Sat May 24 2014 Richard Shaw <hobbes1069@gmail.com> - 0.96.7-1
- Latest release.

* Fri Mar 28 2014 Richard Shaw <hobbes1069@gmail.com> - 0.96.5-5
- Update to later svn checkout, 1481.

* Sun Mar 23 2014 Richard Shaw <hobbes1069@gmail.com> - 0.96.5-4
- Try test build with patch to remove libctb dependence.

* Sun Sep 15 2013 Richard Shaw <hobbes1069@gmail.com> - 0.96.5-3
- Update to latest checkout.

* Fri Apr 12 2013 Richard Shaw <hobbes1069@gmail.com> - 0.96-1
- Updated to lastest svn checkout (rev 1231).
- Updated spec to meet Fedora Packaging Guidelines.
- Created new icon and desktop files
- Implemented cmake based build configuration.

* Sun Dec 23 2012 Mike Heitmann <mheitmann@n0so.net> 0.91-3
- Made libctb, wxWidgets, codec2 separate rpm packages

* Sat Dec 22 2012 Mike Heitmann <mheitmann@n0so.net> 0.91-2
- Updated spec to use %%{_libdir} and %%{_bindir} macros

* Sun Dec 16 2012 Mike Heitmann <mheitmann@n0so.net> 0.91-1
- Initial SPEC

